# List conversations

Returns conversations, one page at a time.

```http
GET https://api.pozy.ai/v1/inbox/conversations
```

- Area: Inbox / Messages
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `profileId` (string)
- `platform` (string): one of facebook, instagram, twitter, bluesky, reddit, telegram, whatsapp, imessage, sms
- `status` (string): one of active, archived
- `folder` (string): one of inbox, requests
- `sortOrder` (string): one of asc, desc
- `limit` (integer)
- `cursor` (string)
- `accountId` (string)
- `tags` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/inbox/conversations?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/inbox/conversations?limit=50", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/inbox/conversations",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "limit": 50,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `data`, array of object
  - `id`, string
  - `platform`, string
  - `accountId`, string
  - `accountUsername`, string
  - `pageId`, string: Can be null
  - `participantId`, string
  - `participantName`, string
  - `participantPicture`, string: Can be null
  - `participantVerifiedType`, string: One of `blue`, `government`, `business`, `none`. Can be null
  - `businessScopedUserId`, string
  - `whatsappUsername`, string
  - `lastMessage`, string
  - `updatedTime`, string (date-time)
  - `status`, string: One of `active`, `archived`
  - `unreadCount`, integer: At most 1000. Can be null
  - `threadControl`, string: One of `app`, `ai_agent`, `other`
  - `folder`, string: One of `requests`
  - `isGroup`, boolean
  - `url`, string: Can be null
  - `instagramProfile`, object: Can be null
    - `isFollower`, boolean: Can be null
    - `isFollowing`, boolean: Can be null
    - `followerCount`, integer: Can be null
    - `isVerified`, boolean: Can be null
    - `fetchedAt`, string (date-time): Can be null
  - `metadata`, object: Can be null
    - `ctwa_clid`, string
    - `ctwa_source_id`, string
    - `ctwa_source_type`, string
    - `ctwa_source_url`, string
    - `ctwa_headline`, string
    - `ctwa_body`, string
    - `ctwa_media_type`, string
    - `ctwa_image_url`, string
    - `ctwa_video_url`, string
    - `ctwa_thumbnail_url`, string
    - `ctwa_captured_at`, string (date-time)
    - `meta_ad_id`, string
    - `meta_ad_source`, string
    - `meta_ad_type`, string
    - `meta_ad_ref`, string
    - `meta_ad_title`, string
    - `meta_ad_photo_url`, string
    - `meta_ad_video_url`, string
    - `meta_ad_post_id`, string
    - `meta_ad_product_id`, string
    - `meta_ad_flow_id`, string
    - `meta_ad_captured_at`, string (date-time)
  - `adAttribution`, object: Can be null
    - `adId`, string, required: Can be null
    - `name`, string, required: Can be null
    - `synced`, boolean, required
    - `campaignId`, string, required: Can be null
    - `campaignName`, string, required: Can be null
    - `adSetId`, string, required: Can be null
    - `adSetName`, string, required: Can be null
    - `adAccountId`, string, required: Can be null
    - `adAccountName`, string, required: Can be null
    - `platformPostId`, string, required: Can be null
    - `isExternal`, boolean, required: Can be null
- `pagination`, object
  - `hasMore`, boolean
  - `nextCursor`, string: Can be null
- `meta`, object
  - `accountsQueried`, integer
  - `accountsFailed`, integer
  - `failedAccounts`, array of object
    - `accountId`, string
    - `accountUsername`, string: Can be null
    - `platform`, string
    - `error`, string
    - `code`, string: Can be null
    - `retryAfter`, integer: Can be null
  - `lastUpdated`, string (date-time)
  - `accountsSkipped`, array of object
    - `accountId`, string
    - `platform`, string

```json
{
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "instagram",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "accountUsername": "acme",
      "pageId": "675e1e95e076854531b4d051",
      "participantId": "6f0150243551cb6ee41f35e0",
      "participantName": "Acme",
      "participantPicture": "string",
      "participantVerifiedType": "blue",
      "businessScopedUserId": "61f84cc05876a1c25c483817",
      "whatsappUsername": "acme",
      "lastMessage": "Hello from Pozy",
      "updatedTime": "2026-10-02T09:00:00.000Z",
      "status": "active",
      "unreadCount": 42,
      "threadControl": "app",
      "folder": "requests",
      "isGroup": true,
      "url": "https://pozy.ai/media/example-1.jpg",
      "instagramProfile": {
        "isFollower": true,
        "isFollowing": true,
        "followerCount": 42,
        "isVerified": true,
        "fetchedAt": "2026-10-02T09:00:00.000Z"
      },
      "metadata": {
        "ctwa_clid": "692eb88a2c90929f2394053b",
        "ctwa_source_id": "6bf4334a1a6cba0bd31d44ae",
        "ctwa_source_type": "string",
        "ctwa_source_url": "https://pozy.ai/media/example-1.jpg",
        "ctwa_headline": "string",
        "ctwa_body": "string",
        "ctwa_media_type": "string",
        "ctwa_image_url": "https://pozy.ai/media/example-1.jpg",
        "ctwa_video_url": "https://pozy.ai/media/example-1.jpg",
        "ctwa_thumbnail_url": "https://pozy.ai/media/example-1.jpg",
        "ctwa_captured_at": "2026-10-02T09:00:00.000Z",
        "meta_ad_id": "61e6bf8a5c69195f41e50bb7",
        "meta_ad_source": "string",
        "meta_ad_type": "string",
        "meta_ad_ref": "string",
        "meta_ad_title": "string",
        "meta_ad_photo_url": "https://pozy.ai/media/example-1.jpg",
        "meta_ad_video_url": "https://pozy.ai/media/example-1.jpg",
        "meta_ad_post_id": "65196d015f4a678a60d69639",
        "meta_ad_product_id": "6ea27f3b17ac3128973b7ea9",
        "meta_ad_flow_id": "68770d6fe4e2e877d0403360",
        "meta_ad_captured_at": "2026-10-02T09:00:00.000Z"
      },
      "adAttribution": {
        "adId": "6f40fa2fb0a7e728dd1a73b7",
        "name": "Acme",
        "synced": true,
        "campaignId": "65a3737dd8b11ea61f199e6e",
        "campaignName": "Acme",
        "adSetId": "60484b408d44e7c2492bfec5",
        "adSetName": "Acme",
        "adAccountId": "666219aad7bab67ace411e4f",
        "adAccountName": "Acme",
        "platformPostId": "637f799b3039e6602e83fa4f",
        "isExternal": true
      }
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "string"
  },
  "meta": {
    "accountsQueried": 42,
    "accountsFailed": 42,
    "failedAccounts": [
      {
        "accountId": "696e0b682d0a31188e7a2ba9",
        "accountUsername": "acme",
        "platform": "instagram",
        "error": "string",
        "code": "string",
        "retryAfter": 1
      }
    ],
    "lastUpdated": "2026-10-02T09:00:00.000Z",
    "accountsSkipped": [
      {
        "accountId": "696e0b682d0a31188e7a2ba9",
        "platform": "instagram"
      }
    ]
  }
}
```
